[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libc6 upgrade: device or resource busy - SOLVED

YES!! So I didn't have to reinstall, I found out from a bug
report that in one case the lsbdev package was the problem. So I
did a dpkg -P lsbdev, and then apt-get let me upgrade libc6 just
fine. So I guess this is a bug in the lsbdev package?


here's a copy of the email I sent describing the problem:

I'm trying to upgrade libc from 2.3.2.ds1-19 to 2.3.2.ds2-20, and
apt-get install libc gives the following error message:

dpkg: error processing /var/cache/apt/archives/libc6_2.3.2.ds1-20_i386.deb (--unpack):
 unable to install new version of `./lib/ld-2.3.2.so': Device or resource busy
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

there are a couple of similar bugs that came up on google, but
they all said they'd been resolved, and the solutions seemed to
consist of rebooting. I've tried with both my 2.6.10 and 2.4.26
kernels, as well as booting from a rescue disk. I'm thinking
maybe it has something to do with reiserfs?


Reply to: